org.apache.commons.math3.optimization

## Interface ConvergenceChecker<PAIR>

- Type Parameters:
    `PAIR` - Type of the (point, objective value) pair.
  All Known Implementing Classes:
    AbstractConvergenceChecker, SimplePointChecker, SimpleValueChecker, SimpleVectorValueChecker

      public interface ConvergenceChecker<PAIR>

  This interface specifies how to check if an optimization algorithm has converged.
  Deciding if convergence has been reached is a problem-dependent issue. The user should provide a class implementing this interface to allow the optimization algorithm to stop its search according to the problem at hand.
  For convenience, three implementations that fit simple needs are already provided: `SimpleValueChecker`, `SimpleVectorValueChecker` and `SimplePointChecker`. The first two consider that convergence is reached when the objective function value does not change much anymore, it does not use the point set at all. The third one considers that convergence is reached when the input point set does not change much anymore, it does not use objective function value at all.
  Since:
    3.0
  Version:
    $Id$
  See Also:
    `SimplePointChecker`, `SimpleValueChecker`, `SimpleVectorValueChecker`

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `converged(int iteration, PAIR previous, PAIR current)` Check if the optimization algorithm has converged.

- - ### Method Detail

    - #### converged

          boolean converged(int iteration,
                          PAIR previous,
                          PAIR current)

      Check if the optimization algorithm has converged.
      Parameters:
        `iteration` - Current iteration.
        `previous` - Best point in the previous iteration.
        `current` - Best point in the current iteration.
      Returns:
        `true` if the algorithm is considered to have converged.

Copyright © 2003-2012 The Apache Software Foundation. All Rights Reserved.